<div class="alert alert-info text-center" role="alert" *ngIf="!cartItems || !cartItems.length">
    No items in the cart currently
</div>
<ul class="list-group" *ngIf="cartItems && cartItems.length">
    <li class="list-group-item clearfix" *ngFor="let items of cartItems">
        <p class="float-left">{{items.title['rendered']}}</p>
        <div class="float-right clearfix">
            <p class="float-left">{{items.price| currency: 'Rs.'}} * </p>
            <form class="form-group float-left" novalidate
                  [formGroup]="quantity">
                <input type="number"
                       min="1"
                       formControlName="quantity"
                       class="form-control text-center"
                       style="width: 100px"
                       [value]="items.quantity"
                       (change)="onChange($event.target.value,items.id)"
                       [ngClass]="{'is-invalid': (quantity.get('quantity').touched ||
                                                quantity.get('quantity').dirty) &&
                                                !quantity.get('quantity').valid}"/>
                <span class="invalid-feedback">
                        <span *ngIf="quantity.get('quantity').errors?.min">
                            Quantity must be 1 or greater than 1.
                        </span>
                    </span>
            </form>
<!--            <input type="number" class="text-center float-left" [value]="items.quantity" style="width: 50px">-->
            <button class="float-right btn btn-outline-danger" (click)="onDelete(items.id)" style="margin-left: 20px"><i class="fa fa-trash"></i></button>
        </div>
    </li>
    <p style="text-align: end" class="alert alert-dark">Total Amount: {{totalAmount | currency: 'Rs.'}}</p>
</ul>
<div class="alert alert-info text-center" role="alert" *ngIf="cartItems.length">
    <p>Finished shopping? Confirm order <a [routerLink]="['/shop/checkout']">here</a></p>
</div>